<?php
ini_set('date.timezone', 'Europe/Berlin');
setlocale(LC_TIME, "de_DE.ISO8859-1");
setlocale(LC_ALL, 'de_DE');
header('Content-Type: text/html; charset=utf-8');
###############################################################################
#
# E-mail Formular + Autoresponder 
#
###############################################################################
#
#
# Mail an Webmaster  ##########################################################
#
# Datum  ############################################################
#
$nowDay=date("d.m.Y");
$nowClock=date("H:i:s");
$AUFTRAGSNR    =    $_POST['AUFTRAGSNR'];
$txtEmail      =    $_POST['txtEmail'];
$txtKommentar  =    $_POST['txtKommentar'];
$txtKommentar2  =    mb_convert_encoding($txtKommentar, 'ISO-8859-1', 'UTF-8');
$txtLiefer     =    $_POST['txtLiefer'];
$txtLiefer2     =    mb_convert_encoding($txtLiefer, 'ISO-8859-1', 'UTF-8');
$txtZiffer     =    $_GET['txtZiffer'];

#
# Ihre E-mail kommt hier hinein
$MailAn="24@a4w.ch";
#
# Kommentar der E-mail ######################################################
$Inhalt="
sent on $nowDay at $nowClock 


Email: $txtEmail\n

Message: $txtLiefer2\n

Shopping cart:

$txtKommentar2
Total USD: $txtZiffer
";
#
#
mail($MailAn, "Shopping cart $AUFTRAGSNR", $Inhalt, "From: $txtEmail");
#
#
# Autoresponder   #############################################################
#
$txtKommentar = htmlentities($txtKommentar, ENT_QUOTES, 'UTF-8');
$txtLiefer = htmlentities($txtLiefer, ENT_QUOTES, 'UTF-8');
#
$contents="
We have got your shopping cart.<br><br>

Message: $txtLiefer<br><br>

Shopping cart:<br>

$txtKommentar<br><br>
Total USD: $txtZiffer<br><br>

From Shop, $nowDay. Time: $nowClock<br><br>
A4Web Langenthal<br>
Oberhardstrasse 20a<br>
4900 Langenthal<br>
";
#
#
$header  = "MIME-Version: 1.0\r\n";
$header .= "Content-type: text/html; charset=utf-8\r\n";
#
$header .= "From: support@a4web.ch\r\n";
$header .= "Reply-To: $txtEmail \r\n";
#
$betreff = "Shopping cart $AUFTRAGSNR";
#
#
mail( $txtEmail,
      $betreff,
      $contents,
      $header);
#      
# 
#
#
# Flashsignal Variable   ######################################################
#
#
#
#
###############################################################################
?>